Bug 117878

Summary: [CSS Grid Layout] Rename grid placement properties
Product: WebKit Reporter: Sergio Villar Senin <svillar>
Component: CSSAssignee: Sergio Villar Senin <svillar>
Status: RESOLVED FIXED    
Severity: Normal CC: allan.jensen, commit-queue, dino, esprehn+autocc, glenn, jchaffraix, kling, koivisto, macpherson, menard, mrobinson, svillar, syoichi, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 60731    
Attachments:
Description Flags
Patch kling: review+

Description Sergio Villar Senin 2013-06-21 09:38:15 PDT
The latest spec from May the 8th (http://dev.w3.org/csswg/css-grid/#line-placement) changed the names of the grid placement properties to grid-column-{start|end} and grid-row-{start|end}.

It seems it's pretty safe to migrate to the new names as this is supposed to match broader changes in CSS (see http://lists.w3.org/Archives/Public/www-style/2013Apr/0265.html)
Comment 1 Sergio Villar Senin 2013-06-25 04:10:47 PDT
Created attachment 205381 [details]
Patch
Comment 2 Sergio Villar Senin 2013-06-28 07:53:06 PDT
Landed this same change in Blink after getting the confirmation that the names are set.
Comment 3 Sergio Villar Senin 2013-08-06 03:32:26 PDT
Committed r153746: <http://trac.webkit.org/changeset/153746>